FROM debian:bookworm-slim
#FROM debian:buster
LABEL name="lacanauscrap" \ 
    maintainer="Arnaud DALLIES<dalliesa@gmail.com>" \
    version="0.01" \
    description="Screenshot for surf"

# Install deps + add Chrome Stable + purge all the things
RUN apt-get update \
    && apt-get install -y --no-install-recommends \
        apt-transport-https \
        ca-certificates \
        curl \
        gnupg \
        xvfb \
	cutycapt \
	xauth
RUN apt-get purge --auto-remove -y curl gnupg \
	&& rm -rf /var/lib/apt/lists/* 

COPY lacanau.sh /root/
RUN chmod +x /root/lacanau.sh
# Start chrome headlessly, and take the chromeshot.
CMD [ "/root/lacanau.sh" ]

